> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List and filter Users

> Retrieve a paginated list of Users with powerful filtering options.
    Results are sorted by creation date (newest first) by default.
    
    Note: Timestamps can be provided in either seconds or milliseconds since Unix epoch.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/users/list
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/users/list:
    get:
      tags:
        - users
      summary: List and filter Users
      description: |-
        Retrieve a paginated list of Users with powerful filtering options.
            Results are sorted by creation date (newest first) by default.
            
            Note: Timestamps can be provided in either seconds or milliseconds since Unix epoch.
      operationId: GetV0UsersList
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (1-based).
          schema:
            $ref: '#/components/schemas/GetV0UsersListParameterPage'
        - name: limit
          in: query
          required: false
          description: Number of items per page.
          schema:
            $ref: '#/components/schemas/GetV0UsersListParameterLimit'
        - name: email
          in: query
          required: false
          description: Filter users by email address.
          schema:
            $ref: '#/components/schemas/GetV0UsersListParameterEmail'
        - name: createdAfter
          in: query
          required: false
          description: GET /v0/users/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0UsersListParameterCreatedAfter'
        - name: createdBefore
          in: query
          required: false
          description: GET /v0/users/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0UsersListParameterCreatedBefore'
      responses:
        '200':
          description: GET /v0/users/list Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0UsersListPositiveResponse'
        '400':
          description: GET /v0/users/list Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0UsersListNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0UsersListParameterPage:
      type: integer
      format: int64
      exclusiveMinimum: 1
      maximum: 9007199254740991
      default: 1
      description: Page number for pagination (1-based).
    GetV0UsersListParameterLimit:
      type: integer
      format: int64
      exclusiveMinimum: 1
      maximum: 100
      default: 10
      description: Number of items per page.
    GetV0UsersListParameterEmail:
      type: string
      format: email
      description: Filter users by email address.
      examples:
        - john@example.com
    GetV0UsersListParameterCreatedAfter:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
    GetV0UsersListParameterCreatedBefore:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
    GetV0UsersListPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            users:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - user
                    default: user
                    description: Object type identifier. Always 'user' for user objects.
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier (UUID) for this user.
                  username:
                    type:
                      - string
                      - 'null'
                    default: null
                    description: Username of the user, if set.
                  email:
                    type:
                      - string
                      - 'null'
                    format: email
                    default: null
                  details:
                    type:
                      - object
                      - 'null'
                    properties:
                      firstName:
                        type:
                          - string
                          - 'null'
                        default: null
                      lastName:
                        type:
                          - string
                          - 'null'
                        default: null
                      dialCode:
                        type:
                          - string
                          - 'null'
                        default: null
                      phoneNumber:
                        type:
                          - string
                          - 'null'
                        default: null
                      taxId:
                        type:
                          - string
                          - 'null'
                        enum:
                          - al_tin_albania
                          - ad_nrt_andorra
                          - ao_tin_angola
                          - ar_cuit_argentina
                          - am_tin_armenia
                          - aw_tin_aruba
                          - au_abn_australia
                          - au_arn_australia
                          - eu_vat_austria
                          - az_tin_azerbaijan
                          - bs_tin_bahamas
                          - bh_vat_bahrain
                          - bd_bin_bangladesh
                          - bb_tin_barbados
                          - by_tin_belarus
                          - eu_vat_belgium
                          - bj_ifu_benin
                          - bo_tin_bolivia
                          - ba_tin_bosnia_and_herzegovina
                          - br_cnpj_brazil
                          - br_cpf_brazil
                          - bg_uic_bulgaria
                          - eu_vat_bulgaria
                          - bf_ifu_burkina_faso
                          - kh_tin_cambodia
                          - cm_niu_cameroon
                          - ca_bn_canada
                          - ca_gst_hst_canada
                          - ca_pst_bc_canada
                          - ca_pst_mb_canada
                          - ca_pst_sk_canada
                          - ca_qst_canada
                          - cv_nif_cape_verde
                          - cl_tin_chile
                          - cn_tin_china
                          - co_nit_colombia
                          - cd_nif_congo_kinshasa
                          - cr_tin_costa_rica
                          - eu_vat_croatia
                          - hr_oib_croatia
                          - eu_vat_cyprus
                          - eu_vat_czech_republic
                          - eu_vat_denmark
                          - do_rcn_dominican_republic
                          - ec_ruc_ecuador
                          - eg_tin_egypt
                          - sv_nit_el_salvador
                          - eu_vat_estonia
                          - et_tin_ethiopia
                          - eu_oss_vat_eu
                          - eu_vat_finland
                          - eu_vat_france
                          - ge_vat_georgia
                          - de_stn_germany
                          - eu_vat_germany
                          - eu_vat_greece
                          - gn_nif_guinea
                          - hk_br_hong_kong
                          - eu_vat_hungary
                          - hu_tin_hungary
                          - is_vat_iceland
                          - in_gst_india
                          - id_npwp_indonesia
                          - eu_vat_ireland
                          - il_vat_israel
                          - eu_vat_italy
                          - jp_cn_japan
                          - jp_rn_japan
                          - jp_trn_japan
                          - kz_bin_kazakhstan
                          - ke_pin_kenya
                          - kg_tin_kyrgyzstan
                          - la_tin_laos
                          - eu_vat_latvia
                          - li_uid_liechtenstein
                          - li_vat_liechtenstein
                          - eu_vat_lithuania
                          - eu_vat_luxembourg
                          - my_frp_malaysia
                          - my_itn_malaysia
                          - my_sst_malaysia
                          - eu_vat_malta
                          - mr_nif_mauritania
                          - mx_rfc_mexico
                          - md_vat_moldova
                          - me_pib_montenegro
                          - ma_vat_morocco
                          - np_pan_nepal
                          - eu_vat_netherlands
                          - nz_gst_new_zealand
                          - ng_tin_nigeria
                          - mk_vat_macedonia
                          - no_vat_norway
                          - no_voec_norway
                          - om_vat_oman
                          - pe_ruc_peru
                          - ph_tin_philippines
                          - eu_vat_poland
                          - pl_nip_poland
                          - eu_vat_portugal
                          - eu_vat_romania
                          - ro_tin_romania
                          - ru_inn_russia
                          - ru_kpp_russia
                          - sa_vat_saudi_arabia
                          - sn_ninea_senegal
                          - rs_pib_serbia
                          - sg_gst_singapore
                          - sg_uen_singapore
                          - eu_vat_slovakia
                          - eu_vat_slovenia
                          - si_tin_slovenia
                          - za_vat_south_africa
                          - kr_brn_south_korea
                          - es_cif_spain
                          - eu_vat_spain
                          - lk_vat_sri_lanka
                          - sr_fin_suriname
                          - eu_vat_sweden
                          - ch_uid_switzerland
                          - ch_vat_switzerland
                          - tw_vat_taiwan
                          - tj_tin_tajikistan
                          - tz_vat_tanzania
                          - th_vat_thailand
                          - tr_tin_turkey
                          - ug_tin_uganda
                          - ua_vat_ukraine
                          - ae_trn_united_arab_emirates
                          - eu_vat_united_kingdom
                          - gb_vat_united_kingdom
                          - us_ein_united_states
                          - uy_ruc_uruguay
                          - uz_tin_uzbekistan
                          - uz_vat_uzbekistan
                          - ve_rif_venezuela
                          - vn_tin_vietnam
                          - zm_tin_zambia
                          - zw_tin_zimbabwe
                        default: null
                      taxNumber:
                        type:
                          - string
                          - 'null'
                        default: null
                      type:
                        type:
                          - string
                          - 'null'
                        enum:
                          - individual
                          - company
                        default: null
                      address:
                        type:
                          - string
                          - 'null'
                        default: null
                      addressLine2:
                        type:
                          - string
                          - 'null'
                        default: null
                      city:
                        type:
                          - string
                          - 'null'
                        default: null
                      postalCode:
                        type:
                          - string
                          - 'null'
                        default: null
                      companyName:
                        type:
                          - string
                          - 'null'
                        default: null
                      countryCode:
                        type:
                          - string
                          - 'null'
                        enum:
                          - AF
                          - AX
                          - AL
                          - DZ
                          - AD
                          - AO
                          - AI
                          - AQ
                          - AG
                          - AR
                          - AM
                          - AW
                          - AU
                          - AT
                          - AZ
                          - BS
                          - BH
                          - BD
                          - BB
                          - BY
                          - BE
                          - BZ
                          - BJ
                          - BM
                          - BT
                          - BO
                          - BA
                          - BW
                          - BV
                          - BR
                          - IO
                          - VG
                          - BN
                          - BG
                          - BF
                          - BI
                          - KH
                          - CM
                          - CA
                          - CV
                          - BQ
                          - KY
                          - CF
                          - TD
                          - CL
                          - CN
                          - CO
                          - KM
                          - CG
                          - CD
                          - CK
                          - CR
                          - CI
                          - HR
                          - CW
                          - CY
                          - CZ
                          - DK
                          - DJ
                          - DM
                          - DO
                          - EC
                          - EG
                          - SV
                          - GQ
                          - ER
                          - EE
                          - SZ
                          - ET
                          - FK
                          - FO
                          - FJ
                          - FI
                          - FR
                          - GF
                          - PF
                          - TF
                          - GA
                          - GM
                          - GE
                          - DE
                          - GH
                          - GI
                          - GR
                          - GL
                          - GD
                          - GP
                          - GU
                          - GT
                          - GG
                          - GN
                          - GW
                          - GY
                          - HT
                          - HN
                          - HK
                          - HU
                          - IS
                          - IN
                          - ID
                          - IQ
                          - IE
                          - IM
                          - IL
                          - IT
                          - JM
                          - JP
                          - JE
                          - JO
                          - KZ
                          - KE
                          - KI
                          - XK
                          - KW
                          - KG
                          - LA
                          - LV
                          - LB
                          - LS
                          - LR
                          - LY
                          - LI
                          - LT
                          - LU
                          - MO
                          - MG
                          - MW
                          - MY
                          - MV
                          - ML
                          - MT
                          - MQ
                          - MR
                          - MU
                          - YT
                          - MX
                          - MD
                          - MC
                          - MN
                          - ME
                          - MS
                          - MA
                          - MZ
                          - MM
                          - NA
                          - NR
                          - NP
                          - NL
                          - NC
                          - NZ
                          - NI
                          - NE
                          - NG
                          - NU
                          - MK
                          - 'NO'
                          - OM
                          - PK
                          - PS
                          - PA
                          - PG
                          - PY
                          - PE
                          - PH
                          - PN
                          - PL
                          - PT
                          - PR
                          - QA
                          - RE
                          - RO
                          - RU
                          - RW
                          - WS
                          - SM
                          - ST
                          - SA
                          - SN
                          - RS
                          - SC
                          - SL
                          - SG
                          - SX
                          - SK
                          - SI
                          - SB
                          - SO
                          - ZA
                          - GS
                          - KR
                          - SS
                          - ES
                          - LK
                          - BL
                          - SH
                          - KN
                          - LC
                          - MF
                          - PM
                          - VC
                          - SD
                          - SR
                          - SJ
                          - SE
                          - CH
                          - TW
                          - TJ
                          - TZ
                          - TH
                          - TL
                          - TG
                          - TK
                          - TO
                          - TT
                          - TN
                          - TR
                          - TM
                          - TC
                          - TV
                          - UG
                          - UA
                          - AE
                          - GB
                          - US
                          - UY
                          - UZ
                          - VU
                          - VA
                          - VE
                          - VN
                          - WF
                          - EH
                          - YE
                          - ZM
                          - ZW
                        default: null
                      state:
                        type:
                          - string
                          - 'null'
                        default: null
                    default: null
                  internalId:
                    type:
                      - string
                      - 'null'
                    default: null
                required:
                  - id
            count:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
            pages:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - users
            - count
            - pages
      required:
        - status
        - data
    GetV0UsersListNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````